#ifndef MD5_H
#define MD5_H

#if defined(___alpha) || (defined(_MIPS_SZLONG) && _MIPS_SZLONG == 64)
typedef	unsigned int uint32;
#else
typedef unsigned long uint32;
#endif

typedef	struct MD5Context {
        uint32 buf[4];
        uint32 bits[2];
        unsigned char in[64];
}	MD5_CTX;

#ifdef	__cplusplus
extern "C" {
#endif

void	MD5Reorder(unsigned char *buf, unsigned longs);
void	MD5Init(MD5_CTX *ctx);
void	MD5Update(MD5_CTX *ctx, unsigned char *buf, unsigned len);
void	MD5Final(unsigned char *digest, MD5_CTX *ctx);
void	MD5Transform(uint32 *buf, uint32 *in);

#ifdef	__cplusplus
}
#endif

#endif /* !MD5_H */
